/*
 * ExportGraph_ToJobsUnitTest.hpp
 *
 *  Created on: Mar 10, 2016
 *      Author: heber
 */

#ifndef EXPORTGRAPH_TOJOBSUNITTEST_HPP_
#define EXPORTGRAPH_TOJOBSUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

class Graph;

/********************************************** Test classes **************************************/

class ExportGraph_ToJobsTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( ExportGraph_ToJobsTest) ;
    CPPUNIT_TEST ( getGridExtentsForGivenBoundingBox_Test );
    CPPUNIT_TEST ( setAcceptableFragmentLevel_Test );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void getGridExtentsForGivenBoundingBox_Test();
      void setAcceptableFragmentLevel_Test();

private:
      Graph *Totalgraph;
};

#endif /* EXPORTGRAPH_TOJOBSUNITTEST_HPP_ */
